package CategoeySetter::CMS;

use strict;
use MT::Category;

### Callbacks - cms_pre_save.category
sub cms_pre_save_category {
    my ($cb, $app, $cat, $original) = @_;

    if (defined (my $label = $cat->label)) {
        if ($label =~ /\//) {
            my ($label, $basename, $description) = split /\s*\/\s*/, $label;
            $cat->label ($label);
            $cat->basename ($basename || undef);
            $cat->description ($description || $label);
        }
    }
    1; # success
}

1;